Bug 524269 - virt-clone should remove old udev rules when changing MAC address
virt-clone should remove old udev rules when changing MAC address
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
: Triaged
: 544729 (view as bug list)
Depends On:
Blocks: F13VirtTarget 647174
  Show dependency treegraph
 
Reported: 2009-09-18 11:45 EDT by Eric Paris
Modified: 2013-01-27 02:47 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 647174 (view as bug list)
Environment:
Last Closed: 2012-05-10 13:21:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Paris 2009-09-18 11:45:18 EDT
When cloning a virtual machine like so

virt-clone -o Guest1 -n Guest2 -f /var/lib/libvirt/images/Guest2.img

Everything works.  Minor 'issue' (if you can call it that) is that the network interface in the new machine shows up as eth1 instead of eth0.  This is because

/etc/udev/rules.d/70-persistent-net.rules

contains lines telling the system to call the interface with the old mac address eth0.  This 'new' interface thus gets the next available name.

If possible I think on machine clone with a new mac address either the file should be updated with the new mac address (probably would make people the happiest in case they edited it by hand), or the file should be wiped clean so it can be built again from scratch.

I also sorta feel like /etc/sysconfig/network-scripts/ifcfg-ethX should have HWADDR line mapping done as well.
Comment 1 Richard W.M. Jones 2009-09-18 11:51:21 EDT
Obvious application for libguestfs.

Also CC-ing Matt Booth, because there is some overlap with the
sort of modifications that virt-v2v does.
Comment 2 Bug Zapper 2009-11-16 07:37:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Richard W.M. Jones 2010-01-26 12:29:00 EST
Discussion on list here:
http://lists.fedoraproject.org/pipermail/virt/2010-January/001784.html
Comment 4 Cole Robinson 2010-02-26 19:22:42 EST
*** Bug 544729 has been marked as a duplicate of this bug. ***
Comment 5 Renich Bon Ciric 2010-03-18 01:22:02 EDT
Nice discussion... what's the status on this?
Comment 6 Cole Robinson 2010-03-18 12:25:08 EDT
Nothing yet. There is some more info here:

https://bugs.launchpad.net/ubuntu/+source/udev/+bug/345234
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=431190

Debian carries a patch to fix this issue in udev for VMWare guests, though nothing upstream. The same type of fix could be applied for KVM guests. I'll bring it up on the udev list.
Comment 7 Bug Zapper 2010-11-04 05:56:09 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Richard W.M. Jones 2011-10-08 10:34:42 EDT
This can be done using the new virt-sysprep tool:

http://libguestfs.org/virt-sysprep.1.html
Comment 9 Dave Allan 2012-05-10 13:21:01 EDT
(In reply to comment #8)
> This can be done using the new virt-sysprep tool:
> 
> http://libguestfs.org/virt-sysprep.1.html

Closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.